.libPaths( c("C:/Users/Alexander/Documents/R/win-library/3.6", "C:/Program Files/R/R-3.6.1/library" ) )

library(tidyverse)
library(readr)


preprocess_top10 <- function(filter_max){
  #' Preprocessing filter countries
  #'
  #' This function returns a subset of the df
  #' if the value of the country column contains 
  #' the country we are passing
  #'
  #' @param filter_max The number of population we want to filter
  #
  global_cities <- read_delim("../../L1/global-city-population-estimates.csv",
                              ";", escape_double = FALSE, locale = locale(encoding = "ISO-8859-1"), 
                              trim_ws = TRUE)
  
  top10 = global_cities %>% select(1:5) %>% filter(Population_2015 > filter_max)
  return(top10)
}
