from rasterstats import zonal_stats
import pandas as pd
import geopandas as gpd

def get_catchment_dem_stats():
    zs = zonal_stats('../../L5/porijogi_sub_catchments.geojson', '../../L5/dem.tif', stats=['mean','std'])
    catchments = gpd.read_file('../../L5/porijogi_sub_catchments.geojson')
    demstats_df = pd.DataFrame(zs)
    demstats_df.rename(columns={'mean':'dem_mean','std':'dem_std'}, inplace=True)
    catchments = pd.concat([catchments, demstats_df], axis=1)
    return catchments